/**
 * \file    sys_qc_hook.h
 * \brief   
 * 
 * \par     Copyright (c) 2018 UWE Technologies Corp., Ltd. All Rights Reserved.
 * \author  James
 * \date    2018-08-31
 * \version 
 * 
 * \history 
 *  Date        Note
 *  2018-08-31  Original Creation
 * 
 */
 
#ifndef __SYS_QC_HOOK_H_
#define __SYS_QC_HOOK_H_


#include "drv_gpio.h"
#include "usbpd.h"


#if SYS_QUICK_CHARGE_ENABLED

extern volatile DPM_QC_INFO_t g_usba1_qc_info;
extern volatile DPM_QC_INFO_t g_usba2_qc_info;

void sys_qc_init();
void sys_qc_disable();
u32_t sys_usba1_volt_get(DPM_QC_VOLT_INTF_TYPE_t type);
u32_t sys_usba2_volt_get(DPM_QC_VOLT_INTF_TYPE_t type);
void sys_usba1_src_dpdm_mode_set(DPM_SRC_DPDM_MODE_t mode);
void sys_usba2_src_dpdm_mode_set(DPM_SRC_DPDM_MODE_t mode);

#endif /* SYS_QUICK_CHARGE_ENABLED */


#endif /* #ifndef __SYS_QC_HOOK_H_ */

